summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Edinaldo P. Silva <edps.mundognu@gmail.com>2015-07-30 23:05:52 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-07-31 01:53:27 +0700
commit2e634258dbb5b3f5d7791372a9540fd6b226a1d4 (patch)
treebcac66cacb3bfe3ba2eabed4b94cf58bda98592b /audio
parent4af80b4117755de05d696b000dfd59040e6563f4 (diff)
downloadslackbuilds-2e634258dbb5b3f5d7791372a9540fd6b226a1d4.tar.gz
slackbuilds-2e634258dbb5b3f5d7791372a9540fd6b226a1d4.tar.xz
audio/coverlovin: Added (Cover Art Downloader).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/coverlovin/README14
-rw-r--r--audio/coverlovin/coverlovin.SlackBuild89
-rw-r--r--audio/coverlovin/coverlovin.info10
-rw-r--r--audio/coverlovin/slack-desc21
4 files changed, 134 insertions, 0 deletions
diff --git a/audio/coverlovin/README b/audio/coverlovin/README
new file mode 100644
index 0000000000..f4d4ca8b7b
--- /dev/null
+++ b/audio/coverlovin/README
@@ -0,0 +1,14 @@
+coverlovin (Cover Art Downloader).
+
+coverlovin is a CLI recursive directory album art downloader written in Python.
+
+Coverlovin is a Python module for collecting artist and album details from a directory
+hierarchy and downloading cover art from Google Images.
+It can be used both as a module and as a standalone application.
+
+CoverLovin employs Ned Batchelder's excellent id3reader.py module to obtain id3 tag info from mp3 files.
+For convenience this module is included in Coverlovin tar.gz releases.
+
+So... simply get your covers with:
+
+$ coverlovin.py path-to-your-music-dir/
diff --git a/audio/coverlovin/coverlovin.SlackBuild b/audio/coverlovin/coverlovin.SlackBuild
new file mode 100644
index 0000000000..506c47227c
--- /dev/null
+++ b/audio/coverlovin/coverlovin.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+#
+# Slackware build script for coverlovin.
+#
+# Copyright 2015 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=coverlovin
+VERSION=${VERSION:-2.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+SRCNAM=CoverLovin
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+mv $PRGNAM $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/bin
+chmod a+x *.py
+install -Dm755 *.py $PKG/usr/bin
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/coverlovin/coverlovin.info b/audio/coverlovin/coverlovin.info
new file mode 100644
index 0000000000..b4c372c459
--- /dev/null
+++ b/audio/coverlovin/coverlovin.info
@@ -0,0 +1,10 @@
+PRGNAM="coverlovin"
+VERSION="2.0"
+HOMEPAGE="https://launchpad.net/coverlovin"
+DOWNLOAD="https://launchpad.net/coverlovin/trunk/2.0/+download/CoverLovin-2.0.tar.gz"
+MD5SUM="0d02649097e05fde2da4a157c65e8720"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="simplejson"
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/audio/coverlovin/slack-desc b/audio/coverlovin/slack-desc
new file mode 100644
index 0000000000..9ad772f874
--- /dev/null
+++ b/audio/coverlovin/slack-desc
@@ -0,0 +1,21 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+coverlovin: coverlovin (Cover Art Downloader)
+coverlovin:
+coverlovin: coverlovin is a CLI recursive directory album art downloader written
+coverlovin: in Python.
+coverlovin:
+coverlovin: Home page: https://launchpad.net/coverlovin
+coverlovin:
+coverlovin:
+coverlovin:
+coverlovin:
+coverlovin:
+coverlovin:
+coverlovin: